routes/web.php
<?php

use App\Http\Controllers\PhrasesController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware('language')->group(function () {
    Route::get('/', [PhrasesController::class, 'index'])->name('home');

    Route::resource('phrases', PhrasesController::class)->only(['index', 'create', 'store', 'show', 'update']);

    Auth::routes();

});

Route::get('language/{locale}', [App\Http\Controllers\LanguageSwitcherController::class, 'switcher'])
    ->name('language.switcher')->where('locale', 'en|ru');

app/Models/Phrase.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Phrase extends Model implements TranslatableContract
{
    use HasFactory, Translatable;

    public $translatedAttributes = ['body'];
    protected $fillable = ['user_id'];


    /**
     * @return BelongsTo
     */
    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }

}

app/Models/PhraseTranslation.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PhraseTranslation extends Model
{
    public $timestamps = false;

    /**
     * @var string[]
     */
    protected $fillable = ['body'];
}

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    /**
     * @return HasMany
     */
    public function phrases(): HasMany
    {
        return $this->hasMany(Phrase::class);
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
}

app/Http/Controllers/LanguageSwitcherController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class LanguageSwitcherController extends Controller
{
    /**
     * @param Request $request
     * @param string $locale
     * @return \Illuminate\Http\RedirectResponse
     */
    public function switcher(Request $request, string $locale)
    {
        $request->session()->put('locale', $locale);
        return back();
    }
}

app/Http/Controllers/PhrasesController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\PhraseRequest;
use App\Models\Phrase;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class PhrasesController extends Controller
{

    /**
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function index()
    {
        $phrases = Phrase::all();
        return view('phrases.index', compact('phrases'));
    }


    /**
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function create()
    {
        return view('phrases.create');
    }


    /**
     * @param Request $request
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function store(PhraseRequest $request)
    {
        $phrase = new Phrase();

        $user = Auth::user();
        $data = [ 'user_id' => $user->id,
                    'ru' =>
                [
                    'body' => $request->input('body'),
                ]
        ];

        $phrase->create($data);

        return redirect(route('home'));
    }


    /**
     * @param Phrase $phrase
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function show(Phrase $phrase)
    {
        return view('phrases.show', compact('phrase'));
    }


    /**
     * @param Request $request
     * @param Phrase $phrase
     * @return RedirectResponse
     */
    public function update(Request $request, Phrase $phrase): RedirectResponse
    {
        $data = [];
        if(!is_null($request->input('en_body'))) {
            $data['en'] = ['body' => $request->input('en_body')];
        }

        if(!is_null($request->input('es_body'))) {
            $data['es'] = ['body' => $request->input('es_body')];
        }

        if(!is_null($request->input('fr_body'))) {
            $data['fr'] = ['body' => $request->input('fr_body')];
        }

        if(!is_null($request->input('de_body'))) {
            $data['de'] = ['body' => $request->input('de_body')];
        }

        if(!is_null($data)) {
            $phrase->update($data);
            return redirect(route('home'));
        }

    }
}

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Dashboard') }}</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    {{ __('You are logged in!') }}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @if(Auth::check())
                            {{trans('messages.welcome', ['name' => Auth::user()->name])}}
                        @endif
                        @guest
                            @if (Route::has('login'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('login') }}">@lang('messages.login')</a>
                                </li>
                            @endif

                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">@lang('messages.register')</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }}
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        @lang('messages.logout')
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                        <select class="custom-select" onchange="location = this.value;">
                            <option @if (session('locale') == 'en') selected @endif value="{{route('language.switcher', 'en')}}">
                                EN
                            </option>
                            <option @if (session('locale') == 'ru') selected @endif value="{{route('language.switcher', 'ru')}}">
                                RU
                            </option>
                        </select>
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/phrases/create.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="col main pt-5 mt-3">
            <h1>@lang('messages.create new phrase')</h1>
            <form method="post" action="{{ route('phrases.store') }}">
                @csrf
                <div class="form-group">
                    <label for="body"><b>Русский</b></label>
                    <input type="text" class="form-control" id="body" name="body">
                </div>
                <button type="submit" class="btn btn-primary">@lang('messages.submit')</button>
            </form>
        </div>
    </div>

@endsection

resources/views/phrases/index.blade.php
@extends('layouts.app')
@section('content')

    <div class="container">
        <div class="row">
            <div class="col">
                <h3>
                    @lang('messages.phrases')
                </h3>
            </div>
        </div>
        <div>
            @csrf

                @foreach($phrases as $phrase)
                    <div>
                        <ul>
                            <li>
                                <h5><a href="{{route('phrases.show', ['phrase' => $phrase])}}">{{$phrase->translate('ru')->body}}</a></h5>
                            </li>
                        </ul>
                    </div>
                @endforeach

        </div>

        <div class="row">
            <div class="col">
                @if (Auth::check())
                    <a href="{{route('phrases.create')}}" class="btn btn-primary btn-sm
              active" role="button" aria-pressed="true">@lang('messages.create new phrase')</a>
                @endif
            </div>
        </div>

    </div>
@endsection

resources/views/phrases/show.blade.php
@extends('layouts.app')
@section('content')

    <div class="container">
        <form enctype="multipart/form-data" method="post" action="{{ route('phrases.update', ['phrase' => $phrase]) }}">
            @method('put')
            @csrf
        <div>
            @if (Auth::check())
                <div class="form-group">
                    <label for="ru_body"><b>Русский</b></label>
                    <input type="text" class="form-control" id="ru_body" name="ru_body" value="{{$phrase->translate('ru')->body}}">
                </div>
                <div class="form-group">
                    <label for="en_body"><b>English</b></label>
                    <input type="text" class="form-control" id="en_body" name="en_body"
                           @if(!is_null($phrase->translate('en'))) value="{{$phrase->translate('en')->body}}"@endif>
                </div>
                <div class="form-group">
                    <label for="es_body"><b>Español</b></label>
                    <input type="text" class="form-control" id="es_body" name="es_body"
                           @if(!is_null($phrase->translate('es'))) value="{{$phrase->translate('es')->body}}"@endif>
                </div>
                <div class="form-group">
                    <label for="fr_body"><b>Français</b></label>
                    <input type="text" class="form-control" id="fr_body" name="fr_body"
                           @if(!is_null($phrase->translate('fr'))) value="{{$phrase->translate('fr')->body}}"@endif>
                </div>
                <div class="form-group">
                    <label for="de_body"><b>Deutsche</b></label>
                    <input type="text" class="form-control" id="de_body" name="de_body"
                           @if(!is_null($phrase->translate('de'))) value="{{$phrase->translate('de')->body}}"@endif>
                </div>
                <button type="submit" class="btn btn-primary">@lang('messages.submit')</button>

    @else
                <ul>
                <li>
                    <h5>{{$phrase->translate('ru')->body}}</h5>
                </li>
            </ul>
            <ul>
                <li>
                    <h5>{{$phrase->translate('en')->body}}</h5>
                </li>
            </ul>
            <ul>
                <li>
                    <h5>{{$phrase->translate('es')->body}}</h5>
                </li>
            </ul>
            <ul>
                <li>
                    <h5>{{$phrase->translate('fr')->body}}</h5>
                </li>
            </ul>
            <ul>
                <li>
                    <h5>{{$phrase->translate('de')->body}}</h5>
                </li>
            </ul>
        </div>

            <div>
                <a href="{{route('phrases.index')}}" class="btn btn-primary btn-sm"><b>@lang('messages.back')</b></a>
            </div>

    @endif

    </div>
@endsection